Subject: bug#59075: 29.0.50; Image transforms not applied to svg images

From: Evgeny Zajcev <[email-masked]>
Date: Sun, 6 Nov 2022 14:52:17 +0300

вс, 6 нояб. 2022 г. в 14:02, Eli Zaretskii <[email-masked]>:

> > From: Evgeny Zajcev <[email-masked]>
> > Date: Sun, 6 Nov 2022 13:16:29 +0300
> >
> > On MacOS Ventura with new librsvg (version 2.54.5) I've got nasty
> > problem, resulting in non-working image transforms for `svg' image
> > type.  Here is the screenshot
> > http://lgarc.narod.ru/pics/screenshot-svg-transforms.jpg
> >
> > If I simply change `svg' image type to `png' (not changing image's
> > filename), then image transforms starts working.
> >
> > This looks like Emacs bug, thanks
>
> If this is caused by upgrading to a newer librsvg, why are you certain
> that it's an Emacs bug and not a librsvg bug?
>

Newer librsvg is known to have few bugs that we have already reported to
the librsvg community.
However, in this particular case I'm not sure this is caused by librsvg
side, why transforms starts to apply after changing image type in the image
spec?

-- 
lg